using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    [DataContract]
    public class WCS_Station524 : IStation524
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }

        [DataMember(Order = 1)]
        public short GoodsStart { get; set; }

        [DataMember(Order = 2)]
        public short GoodsEnd { get; set; }

        [DataMember(Order = 3)]
        public StationMode Mode { get; set; }

        [DataMember(Order = 4)]
        public short CmdType { get; set; }

        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }

        [DataMember(Order = 6)]
        public short Request { get; set; }
    }
}
